Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat4
Class CoyoteServerSocketFactory

    java.lang.Object
      org.apache.coyote.tomcat4.CoyoteServerSocketFactory

All Implemented Interfaces:
  ServerSocketFactory

public class CoyoteServerSocketFactory
extends java.lang.Object
implements ServerSocketFactory

This socket factory holds secure socket factory parameters. Besides the usual configuration mechanism based on setting JavaBeans properties, this component may also be configured by passing a series of attributes set with calls to `setAttribute()`. The following attribute names are recognized, with default values in square brackets:

- algorithm - Certificate encoding algorithm to use. [SunX509]
- clientAuth - Require client authentication if set to `true`. Want client authentication if set to `want`. (Note: Only supported in the JSSE included with J2SDK 1.4 and above. Prior versions of JSSE and PureTLS will treat 'want' as 'false'.) [false]
- keystoreFile - Pathname to the Key Store file to be loaded. This must be an absolute path, or a relative path that is resolved against the "catalina.base" system property. ["./keystore" in the user home directory]
- keystorePass - Password for the Key Store file to be loaded. ["changeit"]
- keystoreType - Type of the Key Store file to be loaded. ["JKS"]
- protocol - SSL protocol to use. [TLS]

Author:
  Harish Prabandham, Costin Manolache, Craig McClanahan

Constructor Summary
`CoyoteServerSocketFactory()`

Method Summary
`java.net.ServerSocket` | `createSocket(int port)` Returns a server socket which uses all network interfaces on the host, and is bound to a the specified port.
`java.net.ServerSocket` | `createSocket(int port, int backlog)` Returns a server socket which uses all network interfaces on the host, is bound to a the specified port, and uses the specified connection backlog.
`java.net.ServerSocket` | `createSocket(int port, int backlog, java.net.InetAddress ifAddress)` Returns a server socket which uses only the specified network interface on the local host, is bound to a the specified port, and uses the specified connection backlog.
`java.lang.String` | `getAlgorithm()`
`java.lang.String` | `getClientAuth()`
`java.lang.String` | `getKeystoreFile()`
`java.lang.String` | `getKeystorePass()`
`java.lang.String` | `getKeystoreType()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getRandomFile()`
`java.lang.String` | `getRootFile()`
`java.lang.String` | `getSSLImplementation()`
`void` | `setAlgorithm(java.lang.String algorithm)`
`void` | `setClientAuth(java.lang.String clientAuth)`
`void` | `setKeystoreFile(java.lang.String keystoreFile)`
`void` | `setKeystorePass(java.lang.String keystorePass)`
`void` | `setKeystoreType(java.lang.String keystoreType)`
`void` | `setProtocol(java.lang.String protocol)`
`void` | `setRandomFile(java.lang.String randomFile)`
`void` | `setRootFile(java.lang.String rootFile)`
`void` | `setSSLImplementation(java.lang.String sslImplementation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoyoteServerSocketFactory

    public CoyoteServerSocketFactory()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

### setAlgorithm

    public void setAlgorithm(java.lang.String algorithm)

### getClientAuth

    public java.lang.String getClientAuth()

### setClientAuth

    public void setClientAuth(java.lang.String clientAuth)

### getKeystoreFile

    public java.lang.String getKeystoreFile()

### setKeystoreFile

    public void setKeystoreFile(java.lang.String keystoreFile)

### getRandomFile

    public java.lang.String getRandomFile()

### setRandomFile

    public void setRandomFile(java.lang.String randomFile)

### getRootFile

    public java.lang.String getRootFile()

### setRootFile

    public void setRootFile(java.lang.String rootFile)

### getKeystorePass

    public java.lang.String getKeystorePass()

### setKeystorePass

    public void setKeystorePass(java.lang.String keystorePass)

### getKeystoreType

    public java.lang.String getKeystoreType()

### setKeystoreType

    public void setKeystoreType(java.lang.String keystoreType)

### getProtocol

    public java.lang.String getProtocol()

### setProtocol

    public void setProtocol(java.lang.String protocol)

### getSSLImplementation

    public java.lang.String getSSLImplementation()

### setSSLImplementation

    public void setSSLImplementation(java.lang.String sslImplementation)

### createSocket

    public java.net.ServerSocket createSocket(int port)

  Description copied from interface: `ServerSocketFactory`
  Returns a server socket which uses all network interfaces on the host, and is bound to a the specified port. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in interface `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to

### createSocket

    public java.net.ServerSocket createSocket(int port,
                                              int backlog)

  Description copied from interface: `ServerSocketFactory`
  Returns a server socket which uses all network interfaces on the host, is bound to a the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in interface `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued

### createSocket

    public java.net.ServerSocket createSocket(int port,
                                              int backlog,
                                              java.net.InetAddress ifAddress)

  Description copied from interface: `ServerSocketFactory`
  Returns a server socket which uses only the specified network interface on the local host, is bound to a the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Specified by:
    `createSocket` in interface `ServerSocketFactory`
  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
    `ifAddress` - the network interface address to use

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.